#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire600seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 600"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire600seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven6004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven6004xi = {
                1:'-106x-255y532z',
                2:'-106x-517y283z',
                3:'-116x-244y535z',
                4:'-119x-562y169z',
                5:'-126x-233y538z',
                6:'-12x-16y599z',
                7:'-12x-72y595z',
                8:'-133x-508y288z',
                9:'-136x-221y540z',
                10:'-144x-209y543z',
                11:'-148x-554y175z',
                12:'-14x-21y599z',
                13:'-151x-197y545z',
                14:'-158x-185y548z',
                15:'-158x-498y294z',
                16:'-15x-66y596z',
                17:'-164x-172y550z',
                18:'-167x-30y575z',
                19:'-169x-160y552z',
                20:'-16x-27y599z',
                21:'-16x-59y596z',
                22:'-171x-40y573z',
                23:'-172x-147y555z',
                24:'-174x-51y571z',
                25:'-176x-134y557z',
                26:'-176x-543y181z',
                27:'-177x-62y569z',
                28:'-178x-122y559z',
                29:'-178x-73y567z',
                30:'-179x-109y561z',
                31:'-179x-85y565z',
                32:'-17x-33y598z',
                33:'-180x-97y563z',
                34:'-183x-486y299z',
                35:'-18x-40y598z',
                36:'-18x-46y597z',
                37:'-18x-53y597z',
                38:'-1x-1y599z',
                39:'-1x-91y592z',
                40:'-204x-532y187z',
                41:'-207x-473y304z',
                42:'-229x-193y519z',
                43:'-230x-459y309z',
                44:'-231x-519y192z',
                45:'-234x-177y522z',
                46:'-239x-162y525z',
                47:'-243x-147y528z',
                48:'-245x-131y531z',
                49:'-247x-116y533z',
                50:'-248x-101y536z',
                51:'-24x-306y515z',
                52:'-24x-536y267z',
                53:'-252x-443y314z',
                54:'-257x-504y198z',
                55:'-259x-243y602z',
                56:'-273x-427y319z',
                57:'-282x-488y204z',
                58:'-294x-409y324z',
                59:'-306x-471y209z',
                60:'-306x-515y1z',
                61:'-30x-579y152z',
                62:'-313x-391y329z',
                63:'-329x-453y215z',
                64:'-330x-371y334z',
                65:'-333x-498y7z',
                66:'-347x-351y339z',
                67:'-351x-433y220z',
                68:'-358x-480y13z',
                69:'-362x-330y344z',
                70:'-371x-412y226z',
                71:'-377x-309y349z',
                72:'-383x-461y19z',
                73:'-389x-286y354z',
                74:'-391x-391y232z',
                75:'-39x-299y518z',
                76:'-401x-264y359z',
                77:'-406x-440y25z',
                78:'-409x-368y237z',
                79:'-411x-240y364z',
                80:'-420x-217y368z',
                81:'-426x-345y243z',
                82:'-427x-193y373z',
                83:'-429x-418y31z',
                84:'-433x-169y378z',
                85:'-438x-145y383z',
                86:'-441x-121y387z',
                87:'-441x-320y248z',
                88:'-443x-97y392z',
                89:'-450x-394y37z',
                90:'-455x-296y254z',
                91:'-468x-270y259z',
                92:'-469x-370y43z',
                93:'-479x-244y264z',
                94:'-488x-345y49z',
                95:'-489x-217y270z',
                96:'-497x-190y275z',
                97:'-504x-163y280z',
                98:'-505x-318y55z',
                99:'-509x-136y286z',
                100:'-513x-109y291z',
                101:'-515x-54y301z',
                102:'-515x-81y296z',
                103:'-520x-291y61z',
                104:'-52x-531y272z',
                105:'-534x-263y67z',
                106:'-547x-235y73z',
                107:'-54x-292y521z',
                108:'-557x-205y79z',
                109:'-567x-176y85z',
                110:'-574x-146y91z',
                111:'-5x-5y599z',
                112:'-5x-85y593z',
                113:'-60x-575y158z',
                114:'-68x-283y524z',
                115:'-80x-525y278z',
                116:'-81x-274y526z',
                117:'-8x-312y512z',
                118:'-90x-569y164z',
                119:'-94x-265y529z',
                120:'-9x-10y599z',
                121:'-9x-79y594z',
                122:'0x-581y146z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire600seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire600seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE600SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE600SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE600SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE600SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE600SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven6004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE600SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE600SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE600SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven6004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven6004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE600SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE600SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE600SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire600seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       